use crate::ast::node::d_string::DString;

#[derive(Debug)]
pub enum Literal {
    Integer(i32),
    Long(i64),
    Double(f64),
    USize(usize),
    String(String),
    DString(Box<DString>),
    BacktickString(Box<DString>),
    Boolean(bool),
}
